Skip to main content
GET
/
api
/
v1
/
chargebacks
/
{id}
Chargeback'i getir
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/chargebacks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "currency": "<string>",
  "reason": "<string>",
  "reason_code": "<string>",
  "bank_reference_no": "<string>",
  "status": "<string>",
  "response_deadline": "2023-11-07T05:31:56Z",
  "resolved_at": "2023-11-07T05:31:56Z",
  "merchant_response": "<string>",
  "notes": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "merchant_name": "<string>",
  "masked_card_number": "<string>",
  "transaction_amount": 123
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
transaction_id
string<uuid>
amount
integer<int64>
currency
string | null
reason
string | null
reason_code
string | null
bank_reference_no
string | null
status
string | null
response_deadline
string<date-time> | null
resolved_at
string<date-time> | null
merchant_response
string | null
notes
string | null
created
string<date-time>
merchant_name
string | null
masked_card_number
string | null
transaction_amount
integer<int64>